﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MxFilterGen2.IO
{
    internal class Creator
    {
        public static void CreateBaseDir()
        {
            Message.CMW($"Checking and creating the base directories...", true, 2);
            if (!Directory.Exists($"filson")) { Directory.CreateDirectory($"filson"); }
            if (!Directory.Exists($"out")) { Directory.CreateDirectory($"out"); }
            if (!Directory.Exists($"out/Gen")) { Directory.CreateDirectory($"out/Gen"); }
            foreach (string f in JSON.Settings.GetType())
            {               
                if (!Directory.Exists($"out/{f}")) { Directory.CreateDirectory($"out/{f}"); }
            }               
        }
    }
}
